summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-02-27 15:13:25 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-02-27 15:13:25 -0400
commit317e8c9bf6097df93c28e7d335cea0a2006c23f0 (patch)
treeb7ff3456fe9089f9fafbbf5f0ab0f89f0937b9b7
parent86dc3c05f46cdb4e44a9e7edb84d9a878f07e93e (diff)
make test use cabal
-rw-r--r--Makefile15
1 files changed, 7 insertions, 8 deletions
diff --git a/Makefile b/Makefile
index c914ece6e..62c198d09 100644
--- a/Makefile
+++ b/Makefile
@@ -47,14 +47,13 @@ install: build-stamp install-docs
ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-annex-shell
runghc Build/InstallDesktopFile.hs $(PREFIX)/bin/git-annex || true
-test: $(sources) $(clibs)
- @if ! $(GHCMAKE) -O0 test $(clibs); then \
- echo "** failed to build the test suite" >&2; \
- exit 1; \
- elif ! ./test; then \
- echo "** test suite failed!" >&2; \
- exit 1; \
- fi
+test:
+# workaround for, apparently, a cabal bug
+ hsc2hs Utility/Touch.hsc
+ cabal configure --enable-tests
+ cabal build
+ rm -f Utility/Touch.hs
+ cabal test
testcoverage:
rm -f test.tix test